import { CSSProperties, HTMLAttributes } from 'react';
export interface AvatarProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    shape?: 'circle' | 'square';
    size?: Sizes;
    src?: string;
    icon?: React.ReactNode;
    fit?: 'fill' | 'contain' | 'cover' | 'none' | 'scale-down';
    onError?: () => void;
}
type Sizes = number | 'large' | 'small';
export {};
