import { CSSProperties, HTMLAttributes } from 'react';
export interface TagProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    type?: 'success' | 'info' | 'warning' | 'danger' | '';
    closable?: boolean;
    size?: 'large' | 'default' | 'small' | '';
    effect?: 'dark' | 'light' | 'plain';
    round?: boolean;
}
