import { CSSProperties, HTMLAttributes } from 'react';
export interface DialogProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'title'> {
    style?: CSSProperties;
    className?: string | string[];
    open?: boolean;
    width?: string | number;
    title?: string | React.ReactNode;
    footer?: React.ReactNode;
    onClose?: () => void;
    showClose?: boolean;
    header?: React.ReactNode;
}
