import { CSSProperties, HTMLAttributes } from 'react';
export interface DrawerProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'title'> {
    style?: CSSProperties;
    className?: string | string[];
    open?: boolean;
    direction?: 'rtl' | 'ltr' | 'ttb' | 'btt';
    title?: string | React.ReactNode;
    onClose?: () => void;
    header?: React.ReactNode;
    footer?: React.ReactNode;
    withHeader?: boolean;
    size?: string | number;
    showClose?: boolean;
}
