import { CSSProperties, HTMLAttributes } from 'react';
export interface ProgressProp extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    percentage?: number;
    format?: (percentage: number) => string;
    status?: 'success' | 'exception' | 'warning';
    textInside?: boolean;
    strokeWidth?: number;
}
